/*************************************************************************
HPGComm (Unix Version)
**************************************************************************

Copyright 2003 Joshua King, ported from HPGComm for Windows released by
HP and Jean-Pierre Bergamin

This file is part of HPGComm (Unix Version).

HPGComm is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

HPGComm is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with HPGComm; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
***************************************************************************/

#ifndef _NOT_WINDOWS_

#define _NOT_WINDOWS_

#include <iostream>
#include <string>
#include <unistd.h>
#include <fcntl.h>
#include <termios.h>
#include <time.h>
#include <errno.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <string.h>

using namespace std;

typedef bool BOOL;
typedef unsigned char BYTE;
typedef char CHAR;
typedef long LONG;
typedef const char * LPCSTR;
typedef unsigned long DWORD;
typedef void * LPVOID;
typedef unsigned int UINT;
typedef unsigned int WORD;

#define CString string
#define INVALID_HANDLE_VALUE -1
#define CloseHandle(x) close(x)
#define FlushFileBuffers(x) fsync(x)
#define GetLastError() errno
#define GetLength() length()
#define LPCTSTR LPCSTR
#define NOPARITY 0
#define TRACE printf

#undef TRUE
#undef FALSE
#define TRUE true
#define FALSE false

#include "bmpfile.h"

#endif // _NOT_WINDOWS_

